Check x-api-signature
You can test your signature in x-api-signature within this method.
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
anyOptional
Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/test-signature
POST /api-gateway/test-signature HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
200Success
{
"success": true,
"response": {
"errors": [
"No public key passed."
],
"checkSignatureResult": true,
"signature": "be5aa1bcee1c07044c0f175662804ab979c5027ddf834855e9feedccf324b0a9",
"receivedBody": "{\"some\":\"param\",\"another\":\"param\",\"nonce\":\"406541c3-ce30-4110-808b-9242bf06f794\"}"
}
}Last updated